Page MenuHomePhabricator

[LLVM-C] Add Bindings to GlobalIFunc
ClosedPublic

Authored by CodaFi on Dec 31 2018, 12:03 PM.

Details

Summary

Adds the standard gauntlet of accessors for global indirect functions and updates the echo test.

Now it would be nice to have a target abstraction so one could know if they have access to a suitable ELF linker and runtime.

Diff Detail

Repository
rL LLVM

Event Timeline

CodaFi created this revision.Dec 31 2018, 12:03 PM
whitequark accepted this revision.Jan 25 2019, 1:40 PM

LGTM. Sorry for the delay

This revision is now accepted and ready to land.Jan 25 2019, 1:40 PM

@whitequark No worries. Always glad to have your review on these things since they can be hairy at times.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 5 2019, 10:05 AM